Preload application with Puma in production mode

04/21/2020 12:06 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Performance   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.0.1, 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7600

  

Description

Since we're using clustered mode, we can use preloading.

In clustered mode, Puma can "preload" your application. This loads all the application code prior to forking. Preloading reduces

total memory usage of your application via an operating system feature called copy-on-write (Ruby 2.0+ only).

Related issues:

Related to Foreman - Feature #29148: Make puma default Closed

Related to Installer - Tracker #28999: Deploy Foreman with Puma as the applic... Closed

Associated revisions

Revision 19715ec7 - 04/28/2020 10:53 AM - Ewoud Kohl van Wijngaarden

Fixes #29584 - Preload Puma in production

History

#1 - 04/21/2020 12:09 PM - Ewoud Kohl van Wijngaarden

- Description updated

#2 - 04/21/2020 12:13 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/7600 added

#3 - 04/21/2020 05:44 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #29148: Make puma default added

#4 - 04/21/2020 07:16 PM - Suresh Thirugnanasambandan

- Related to Tracker #28999: Deploy Foreman with Puma as the application server by default added

#5 - 04/28/2020 10:54 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#6 - 04/28/2020 11:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset 19715ec794e5dca5aed738f9b9779c0daaf97250.

#7 - 06/07/2020 01:15 PM - Tomer Brisker
https://github.com/puma/puma/blob/master/README.md#clustered-mode
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/19715ec794e5dca5aed738f9b9779c0daaf97250


- Fixed in Releases 2.0.1 added
